Bug Hunting Session
Bug 67862 - FORMULAEDITOR: FEATURE REQUEST: Include greek letters ans symbols
Summary: FORMULAEDITOR: FEATURE REQUEST: Include greek letters ans symbols
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: 80650
  Show dependency treegraph
 
Reported: 2013-08-07 10:04 UTC by Ramon Tavarez
Modified: 2017-08-07 20:52 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ramon Tavarez 2013-08-07 10:04:18 UTC
Description: 
It would be a good enhancement include into MATH's docking window a section for greek letters and other mathematical symbols.

Possible way:
1. Uppercas greek letters (new)
2. Lowercase greek letters (new)
3. Other symbols: math, phisichs (new)

Current behavior:
Not available

Expected behavior:
Introduce the symbols and letters through an "icon" available into the new MATH´s window docked to the left side.
              
Operating System: All
Version: 4.2.0.0.alpha0+ Master
Comment 1 Thomas Arnhold 2013-09-08 12:46:28 UTC
The complete catalog (Tools -> Catalog) could be merged into the new Docking window. As example under a new entry like "Symbols". After merge the Catalog possibly could be removed.
Comment 2 Thomas Arnhold 2013-09-08 12:52:49 UTC
*** Bug 68972 has been marked as a duplicate of this bug. ***
Comment 3 Thomas Arnhold 2013-09-08 12:56:51 UTC
So this bug is about the merge of Tools -> Catalog into the new Docking window. Those symbols should be there as default.
Comment 4 Commit Notification 2013-11-05 20:04:44 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9a7ff1a5ba9d5ba34eeca9d622d8a3a9c68ade8

fdo#67862: Add greek symbols to docking window



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Adolfo Jayme 2013-11-05 20:40:59 UTC
I think the Catalog window can now be removed, but a link to the Edit Symbols functionality should be added to the docking window then.
Comment 6 Thomas Arnhold 2013-12-01 09:36:23 UTC
Adolfo: No, the catalog has edit functionality which the docking window doesn't have (yet). Go into the catalog, click on a symbol and then the "Edit" button.
Comment 7 Thomas Arnhold 2013-12-01 09:37:07 UTC
And I have to reopen this, because my commit was incomplete. I forgot about the translation fact of the symbols. %alpha is %alfa in pt-br for example...
Comment 8 Commit Notification 2013-12-03 09:43:05 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f5e2d31331839fd8c6039bec057a9c28ed3c7396

Revert "fdo#67862: Add greek symbols to docking window"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-12-03 09:43:22 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2b0ab0be7632a00ac59b778bd1108d1cdc48dc5&h=libreoffice-4-2

Revert "fdo#67862: Add greek symbols to docking window"


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Adolfo Jayme 2013-12-03 14:10:14 UTC
(In reply to comment #6)
Of course, that’s exactly why I wrote that the “Edit” window itself should not disappear, only the Catalog. Sorry if I wasn’t clear…

(In reply to comment #8)
Why was it reverted in master as well? The revert should only be necessary in libreoffice-4-2
Comment 11 Mateusz 2014-03-23 14:51:44 UTC
(In reply to comment #7)
> And I have to reopen this, because my commit was incomplete. I forgot about
> the translation fact of the symbols. %alpha is %alfa in pt-br for example...
Comment 12 Mateusz 2014-03-23 14:52:45 UTC
Thomas Arnhold, is there any chance to upload feature to master?
Comment 13 e_psi 2014-04-14 18:35:29 UTC
The Catalogue is obsolete since the support of Unicode. It's UI is not intuitive changing or adding symbols is a nuisance. Greek Letters should be formatted like Variables, Numbers… (btw the Dialog Format>Fonts… is bad too). Codes like "infinity" or "%alpha" are superfluous, just insert Unicode Symbol. If one likes to type symbols use Auto-Correction and an Insert>Symbol dialog with integrated [Add Auto-Correction]. Or via rightclick in sidebar>Add code/auto-correction.
What is missing too is a tooltip in the sidebar if a code/an auto-correction is assigned.
Unfortunately Math was neglected in the past and looks like a relic at least a decade old.
Comment 14 Gerry 2014-05-28 07:18:07 UTC
What happened to the patches to this bug to add greek letters and symbols to the elements dock window? Apparently, in LibreOffice 4.3Beta1, they are not there. 

As far as I recall, the patches were reverted due to some issue with the LO translation framework. Is this problem now solved?
Comment 15 Thomas Arnhold 2014-06-30 09:33:30 UTC
No, that problem isn't solved. There is still no decision if we keep the localization of the symbols or not. See: https://bugs.freedesktop.org/show_bug.cgi?id=64945
Comment 16 Ramon Tavarez 2017-08-07 20:52:26 UTC
(In reply to Thomas Arnhold from comment #15)
> No, that problem isn't solved. There is still no decision if we keep the
> localization of the symbols or not. See:
> https://bugs.freedesktop.org/show_bug.cgi?id=64945

About localization:

Why not use "alias" to avoid localization, that is, to include some character like prefix to the name of the symbol in order to be able to use the symbols as they are named in a unique language.

For example %alpha (esp) = %alpha (eng), but could be used %_alfa or %.alfa to give an alias to %alpha, So MATH can always interpret and execute %alpha regardless of location.